{% extends "dashboard/dashboard_content.html" %}


{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-user"></i>
                Mess Bill - Info
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div class="row">
                <form method="POST" class="form-horizontal" id="duration_form">
                    <div class="form-group">
                        <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label">Select
                            duration</label>

                        <div class="col-md-5 col-sm-6 col-xs-12">
                            <select id="select_duration" class="form-control">
                                {% for duration in all_durations %}

                                    {{ duration.pk }}{{ mess_bill_inst.duration.pk }}
                                    {% if duration.pk == mess_bill_inst.duration.pk %}
                                        <option selected="selected"
                                                value="{{ duration.pk }}">{{ duration }}</option>
                                    {% else %}
                                        <option value="{{ duration.pk }}">{{ duration }}</option>
                                    {% endif %}
                                {% endfor %}
                            </select>
                        </div>
                    </div>
                </form>
            </div>
            <div class="row">
                <div class="col-md-8 col-md-offset-2">
                    <table class="table table-bordered text-center">
                        <tbody>
                        <tr class="alert-success">
                            <th class="text-center">No of days</th>
                            <td>{{ mess_bill_inst.no_of_days }}</td>
                        </tr>
                        <tr class="alert-success">
                            <th class="text-center">Cost per day</th>
                            <td>{{ mess_bill_inst.cost_per_day }}</td>
                        </tr>
                        <tr class="alert-success">
                            <th class="text-center">Mess Charge</th>
                            <td>{{ mess_bill_inst.mess_charge }}</td>
                        </tr>
                        <tr class="alert-success">
                            <th class="text-center">Extra charge</th>
                            <td>{{ mess_bill_inst.extra_charge }}</td>
                        </tr>
                        <tr class="alert-success">
                            <th class="text-center">NRSC</th>
                            <td>{{ mess_bill_inst.nrsc }}</td>
                        </tr>
                        <tr class="alert-success">
                            <th class="text-center">INAM</th>
                            <td>{{ mess_bill_inst.inam }}</td>
                        </tr>
                        <tr class="alert-success">
                            <th class="text-center">Cleaning Charges</th>
                            <td>{{ mess_bill_inst.cleaning_charges }}</td>
                        </tr>
                        <tr class="alert-success">
                            <th class="text-center">Security</th>
                            <td>{{ mess_bill_inst.security }}</td>
                        </tr>
                        <tr class="inverse alert-warning">
                            <th class="text-center">Total</th>
                            <td><b>{{ mess_bill_inst.total }}</b></td>
                        </tr>
                        </tr >
                        <tr class="inverse alert-warning">
                            <th class="text-center">Roundup</th>
                            <td><b>{{ mess_bill_inst.round_up }}</b></td>
                        </tr>
                        </tr >
                        <tr class="inverse alert-success">
                            <th class="text-center">Advance</th>
                            <td>{{ mess_bill_inst.advance }}</td>
                        </tr>
                        </tr >
                        <tr class="inverse alert-success">
                            <th class="text-center">Dues</th>
                            <td>{{ mess_bill_inst.dues }}</td>
                        </tr>
                        </tr >
                        <tr class="inverse alert-success">
                            <th class="text-center">Fine</th>
                            <td>{{ mess_bill_inst.fine }}</td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>

    <script type="text/javascript">


        var curent_subject;
        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }

        $('document').ready(function () {
            $('#select_duration').change(function () {
                //alert('sid');
                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('form');


                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.value, name: 'selected_duration'});
                $hiddenInput.appendTo('form');
                $('#duration_form').submit();
            });
        });
    </script>

{% endblock %}

